io.vertx.ext.consul

## Class Coordinate

- java.lang.Object
- - io.vertx.ext.consul.Coordinate

-     public class Coordinate
      extends Object

  Holds network coordinates of node
  Author:
    Ruslan Sennov
  See Also:
    Network coordinates

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Coordinate()` Default constructor
    `Coordinate(Coordinate coordinate)` Copy constructor
    `Coordinate(JsonObject coordinate)` Constructor from JSON

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `float` | `getAdj()` Get adjustment
    `float` | `getErr()` Get error
    `float` | `getHeight()` Get height
    `String` | `getNode()` Get name of node
    `List<Float>` | `getVec()` Get vector
    `int` | `hashCode()`
    `Coordinate` | `setAdj(float adj)` Set adjustment
    `Coordinate` | `setErr(float err)` Set error
    `Coordinate` | `setHeight(float height)` Set height
    `Coordinate` | `setNode(String node)` Set name of node
    `Coordinate` | `setVec(List<Float> vec)` Set vector
    `JsonObject` | `toJson()` Convert to JSON

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Coordinate

          public Coordinate()

      Default constructor

    - #### Coordinate

          public Coordinate(Coordinate coordinate)

      Copy constructor
      Parameters:
        `coordinate` - the one to copy

    - #### Coordinate

          public Coordinate(JsonObject coordinate)

      Constructor from JSON
      Parameters:
        `coordinate` - the JSON

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Convert to JSON
      Returns:
        the JSON

    - #### getNode

          public String getNode()

      Get name of node
      Returns:
        name of node

    - #### getAdj

          public float getAdj()

      Get adjustment
      Returns:
        adjustment

    - #### getErr

          public float getErr()

      Get error
      Returns:
        error

    - #### getHeight

          public float getHeight()

      Get height
      Returns:
        height

    - #### getVec

          public List<Float> getVec()

      Get vector
      Returns:
        vector

    - #### setNode

          public Coordinate setNode(String node)

      Set name of node
      Parameters:
        `node` - name of node
      Returns:
        reference to this, for fluency

    - #### setAdj

          public Coordinate setAdj(float adj)

      Set adjustment
      Parameters:
        `adj` - adjustment
      Returns:
        reference to this, for fluency

    - #### setErr

          public Coordinate setErr(float err)

      Set error
      Parameters:
        `err` - error
      Returns:
        reference to this, for fluency

    - #### setHeight

          public Coordinate setHeight(float height)

      Set height
      Parameters:
        `height` - height
      Returns:
        reference to this, for fluency

    - #### setVec

          public Coordinate setVec(List<Float> vec)

      Set vector
      Parameters:
        `vec` - vector
      Returns:
        reference to this, for fluency

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 Eclipse. All rights reserved.